%bcond_with	bootstrap

Summary:	Hardware list for the light detection library
Name:		ldetect-lst
Version:	0.1.326
Release:	1
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://abf.rosalinux.ru/soft/ldetect-lst/
Source0:	%{name}-%{version}.tar.xz
Requires(post):	perl-base
Requires(post):	gzip
Requires(preun):perl-base
BuildRequires:	perl-MDK-Common
%if !%{with bootstrap}
# for testsuite:
BuildRequires:	drakx-kbd-mouse-x11
# needed to create fallback-modules.alias
#BuildRequires:	kernel-desktop
BuildRequires:	kernel-nrj-desktop
# for list_modules.pm
BuildRequires:	drakxtools-backend >= 10.30
%endif
Conflicts:	ldetect < 0.7.18
# for XFdrake using nvidia-current instead of nvidia-97xx
Conflicts:	drakx-kbd-mouse-x11 < 0.21
BuildArch:	noarch

%description
The hardware device lists provided by this package are used as lookup 
table to get hardware autodetection.

%package	devel
Summary:	Devel for ldetect-lst
Group:		Development/Perl
Requires:	ldetect-lst = %{version}-%{release}

%description	devel
This package provides merge2pcitable, a tool that enables to merge in hardware
databases new entries pacakged in eg /usr/share/ldetect-lst/pcitable.d.

%prep
%setup -q

%apply_patches

%build
%if %{with bootstrap}
pushd lst
touch hardcoded-modules.alias fallback-modules.alias preferred-modules.alias
popd
%endif

%make

%install
%makeinstall slibdir=%{buildroot}/lib

#not provide ids for now
rm -f %{buildroot}%{_datadir}/usb.ids
rm -f %{buildroot}%{_datadir}/oui.txt
rm -f %{buildroot}%{_datadir}/pci.ids
rm -f %{buildroot}%{_datadir}/misc/pnp.ids

%post
#update ldetect after install
/usr/sbin/update-ldetect-lst

%files
%doc AUTHORS
%{_datadir}/%{name}
%{_sbindir}/*
/lib/module-init-tools/ldetect-lst-modules.alias

%files devel
%doc convert/README.pcitable
%{_bindir}/*

%changelog
* Tue Jul 22 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 0.1.326-1
+ Revision: e6a20d0
- Cosmetic: fixed the naming of NVidia graphics cards


